### Method

# WPEWebKit URIRequest get_http_method

since: 2.12

#### Declaration [src]

    const gchar*
    webkit_uri_request_get_http_method (
      WebKitURIRequest* request
    )

#### Description [src]

Get the HTTP method of the `WebKitURIRequest`.

Available since: 2.12

#### Return value

Type: `const gchar*`

The HTTP method of the `WebKitURIRequest` or `NULL` if `request` is not an HTTP request.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.